#!/bin/sh

if [ ! -e /var/lib/coredump ]; then
	mkdir -p /var/lib/coredump
	chmod 01777 /var/lib/coredump
fi

if [ "$(cat /proc/sys/kernel/core_pattern)" = "core" ] || [ "$(cat /proc/sys/kernel/core_pattern)" = "core.%p" ]; then
	echo "Setting coredump path to /var/lib/coredump"
	echo "/var/lib/coredump/core-%e-s%s-u%u-g%g-p%p-%t" > /proc/sys/kernel/core_pattern
fi
